/*
 * rgbled.c
 *
 *  Created on: Nov 11, 2021
 *      Author: dooku
 */

#include "rgbled.h"

static rgbled_context_t *rgbled_context;


int8_t rgbled_init(rgbled_context_t *context)
{
	if (context == NULL) {
		return RGBLED_ERROR;
	}
	rgbled_context = context;

	return RGBLED_OK;
}

int8_t rgbled_set_color(uint16_t R, uint16_t G, uint16_t B)
{
	// tim2 ch1 B
	// tim22 ch1 G
	// tim22 ch2 R
	LL_TIM_OC_SetCompareCH1(TIM2, (uint32_t)B); // B
	LL_TIM_OC_SetCompareCH1(TIM22, (uint32_t)G); // G
	LL_TIM_OC_SetCompareCH2(TIM22, (uint32_t)R); // R
}

int8_t rgbled_off(void)
{

}
